Derby
  1. Derby
  2. DERBY-2913

Derby Eclipse ui plugin should make possible to switch networkserver to -noSecurityManager, or change to a user specified policy file for network server; doc plugin should document this

    Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Won't Fix
    • Affects Version/s: 10.3.1.4, 10.4.1.3
    • Fix Version/s: None
    • Component/s: Eclipse Plug-in
    • Labels:
      None
    • Environment:
      eclipse 3.2.1, at least, derby 10.3 and up

      Description

      As of Derby 10.3, the network server by default starts with a security manager.
      The derby eclipse plugins do not enable a user to configure this.
      It should be possible to choose between setting a different policy file, or switching to start without securityManager.

      1. DERBY-2913_02_13_diff.txt
        7 kB
        Manjula Kutty
      2. DERBY-2913_02_13_stat.txt
        0.3 kB
        Manjula Kutty

        Issue Links

          Activity

          Hide
          Manjula Kutty added a comment -

          I'm attaching a partial patch for this enhancement. I may work with this again at a later time. So thought before loosing this I should secure it some where. Please do not try this patch now, it has the gui but no actions yet. So this patch is not ready for review

          Show
          Manjula Kutty added a comment - I'm attaching a partial patch for this enhancement. I may work with this again at a later time. So thought before loosing this I should secure it some where. Please do not try this patch now, it has the gui but no actions yet. So this patch is not ready for review
          Hide
          Myrna van Lunteren added a comment -

          The developer community has decided a couple of releases back that the plugins do not fit with the charter for Derby. So no further work is forthcoming, so I am closing this issue.

          Show
          Myrna van Lunteren added a comment - The developer community has decided a couple of releases back that the plugins do not fit with the charter for Derby. So no further work is forthcoming, so I am closing this issue.

            People

            • Assignee:
              Unassigned
              Reporter:
              Myrna van Lunteren
            • Votes:
              2 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development